#
# spec file for package snack (Version 2.1.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  python tcl tcl-devel tk xdevel xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps python rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone tk unzip util-linux vim xdevel xshared

Name:         snack
Summary:      sound extension for Tcl/Tk and Python
Version:      2.1.3
Release:      63
Group: Development/Libraries/Tcl
Requires: tcl tk
#Provides: 
Copyright: GPL
URL: http://www.speech.kth.se/snack
Source0: %{name}%{version}.tar.gz
Source1: tcl.m4
Patch: %{name}.dif
BuildRoot: /var/tmp/snack-root

%description
Snack provides commands to play, record, process and visualize
sound. It supports various file formats such as WAV, AU, AIFF and MP3.
With Snack one can easily create sound applications with Tcl/Tk or
Python or extend existing programs with sound capabilities.
The documentation is located under /usr/share/doc/packages/snack
. There is also a subdirectory 'demos' which contains examples for
Tcl/Tk and Python.

Authors:
--------
    Kre Sjlander <kare@speech.kth.se>

SuSE series: snd

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define python_sitepath %(python -c "import site; print site.sitedirs[0]")
%prep
%setup -q -n %{name}%{version}
cp %{SOURCE1} unix
%patch

%build
export CFLAGS=$RPM_OPT_FLAGS
cd unix
autoreconf --force
export CFLAGS=$RPM_OPT_FLAGS
./configure --prefix=%{_prefix}
make

%install
test -n "$RPM_BUILD_ROOT" && rm -fr $RPM_BUILD_ROOT
%{INSTALL_DIR} $RPM_BUILD_ROOT%{python_sitepath}
%{INSTALL_DATA} python/tkSnack.py $RPM_BUILD_ROOT%{python_sitepath}
cd unix
make INSTALL_ROOT=$RPM_BUILD_ROOT install
strip $RPM_BUILD_ROOT%{_prefix}/lib/%{name}*/*.so

%clean
# rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/lib/libsnackstub*
/usr/lib/snack*
%{python_sitepath}/tkSnack.py
%doc changes README COPYING doc/* demos
# spec file ends here

%changelog -n snack
* Wed Aug 15 2001 - max@suse.de
- new version: 2.1.3
- changed RPM group to Development/Libraries/Tcl
* Fri Mar 30 2001 - max@suse.de
- added xshared to #neededforbuild
* Thu Mar 15 2001 - max@suse.de
- new version 2.0.7
* Fri Mar 09 2001 - max@suse.de
- new package snack2.0.6
- building with buildroot
- supports Tcl/Tk and Python
- No hard dependency on Python, because Python support is just a
  wrapper around the Tcl extension and people who want to use it
  with Python will have installed Python anyway
- added tcl.m4 from Tcl/Tk to be able to re-create 'configure'
